View Issue Details

IDProjectCategoryView StatusLast Update
00304622.x IDE BugsResource TreePublic2019-02-15 13:04
ReporterDanAssigned ToSteven Campbell 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.2 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030462: Resource Tree: Renaming a group and causing a duplicate blames the wrong group name in the dialog
DescriptionIn the Resource Tree if you rename a group and cause a duplicate, the dialog you are shown blames the wrong group name in the dialog, as it's using the original/fixed name, not the name you attempted to change it to. Therefore, the dialog doesn't really clarify the duplicate name.

See the screenshot.
Steps To Reproduce1. Start GMS2 and create a new project.
2. In the resource tree, for any resource type, create 2 groups.
3. Rename group1 to be group0.
4. Observe the dialog tells you "group1" is a duplicate.
Repro: 100%
TagsIDE, ResourceTree
2.x IDE Found In2.2.2.390
2.x Runtime Found In2.2.2.302
2.x IDE Verified In2.2.2.393
2.x Runtime Verified In2.2.2.308

Activities

Dan

2019-01-30 13:56

Adminstrator  

Steven Campbell

2019-02-01 09:55

Manager   ~0062625

Fixed in Red IDE/GitHub Pull Request 4461
Git Id: 55c454a5ca1b15236a7a219a8fb43655a896c4c0

Dan

2019-02-01 11:32

Adminstrator   ~0062627

Added to IDE 303+.

Matthew McInnes

2019-02-15 13:04

Adminstrator   ~0063220

Closing. Verified as fixed in:

Beta IDE v2.2.2.393 Beta Runtime v2.2.2.308